Subject: Re: [RFC] Option to disable mapping genrtc calls to ppc_md calls

From: Eugene Surovegin <[email-masked]>
Date: Tue, 18 Jan 2005 10:54:19 -0800

On Tue, Jan 18, 2005 at 11:25:33AM -0500, Dan Malek wrote:
> There are three reasons.  You don't want to use an I2c rtc clock at
> all in these functions because they get can get called from the
> clock interrupt to update the time in the rtc.  If it does happen to 
> work,
> it creates long latencies in the timer interrupt.  If the i2c requires 
> an
> interrupt, they system will crash or hang.
> 
> A system using an I2C RTC should find some way to access the
> clock from application space as a standard I2C device and manage
> time/clock from the application, not from the kernel.

Well, it was discussed numerous times before with solutions how to use 
i2c based RTC as well.

I use i2c RTC which requires interrupt and guess what, my kernel 
doesn't crash when timer_interrupt calls ppc_md.set_rtc_time.

It's just a matter of writing correct i2c RTC driver.

Dan, please, stop spreading "i2c-RTC" FUD :).

--
Eugene